### Virtual Method

# Gimp PlugIn create_procedure

unstable since: 3.0

#### Declaration [src]

    GimpProcedure*
    create_procedure (
      GimpPlugIn* plug_in,
      const gchar* procedure_name
    )

#### Description [src]

This method must be overridden by all plug-ins and return a newly allocated `GimpProcedure` named `name`.

This method will be called for every `name` as returned by `Gimp.PlugInClass.query_procedures` and `Gimp.PlugInClass.init_procedures` so care must be taken to handle them all. Upon procedure registration, `Gimp.PlugInClass.create_procedure` will be called in the order of the lists returned by `Gimp.PlugInClass.query_procedures` and `Gimp.PlugInClass.init_procedures`

Available since: 3.0

#### Parameters

`procedure_name`

  Type: `const gchar*`

  Procedure name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpProcedure`

The procedure to be registered or executed by `plug_in`.

The caller of the function takes ownership of the data, and is responsible for freeing it.